package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.web.socket.WebSocketSession;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2021/8/4 0004
 */
public class WebSocketClientDetail {

    private WebSocketSession session;

    @ApiModelProperty(value = "用户登录时间戳")
    private long loginTime;

    @ApiModelProperty(value = "用户退出或断开时间戳")
    private Date logoutTime;

    public WebSocketClientDetail() {
    }

    public WebSocketClientDetail(WebSocketSession session, long loginTime) {
        this.session = session;
        this.loginTime = loginTime;
    }

    public WebSocketSession getSession() {
        return session;
    }

    public void setSession(WebSocketSession session) {
        this.session = session;
    }

    public long getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(long loginTime) {
        this.loginTime = loginTime;
    }

    public Date getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(Date logoutTime) {
        this.logoutTime = logoutTime;
    }
}
